|  | Home | Documentation | SOAP_ENV__Fault Struct Reference updated Tue Aug 22 2017 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
SOAP_ENV__Fault Struct Reference

`#include <addressStub.h>`

Collaboration diagram for SOAP_ENV__Fault:
[legend]

## Public Member Functions
int | soap_type () const
| SOAP_ENV__Fault ()
int | soap_type () const
| SOAP_ENV__Fault ()

## Public Attributes
char * | faultcode
char * | faultstring
char * | faultactor
struct SOAP_ENV__Detail * | detail
struct SOAP_ENV__Code * | SOAP_ENV__Code
struct SOAP_ENV__Reason * | SOAP_ENV__Reason
char * | SOAP_ENV__Node
char * | SOAP_ENV__Role
struct SOAP_ENV__Detail * | SOAP_ENV__Detail

## Friends
SOAP_FMAC1 SOAP_ENV__Fault *SOAP_FMAC2 | address_instantiate_SOAP_ENV__Fault (struct soap *, int, const char *, const char *, size_t *)
SOAP_FMAC1 SOAP_ENV__Fault *SOAP_FMAC2 | graph_instantiate_SOAP_ENV__Fault (struct soap *, int, const char *, const char *, size_t *)

## Detailed Description

Definition at line 268 of file addressStub.h.

## Constructor & Destructor Documentation

SOAP_ENV__Fault::SOAP_ENV__Fault | ( |  | ) |
| inline

Constructor with member initializations

Definition at line 292 of file addressStub.h.

SOAP_ENV__Fault::SOAP_ENV__Fault | ( |  | ) |
| inline

Constructor with member initializations

Definition at line 202 of file graphStub.h.

## Member Function Documentation

int SOAP_ENV__Fault::soap_type | ( |  | ) | const
| inline

Return unique type id SOAP_TYPE_SOAP_ENV__Fault

Definition at line 200 of file graphStub.h.

int SOAP_ENV__Fault::soap_type | ( |  | ) | const
| inline

Return unique type id SOAP_TYPE_SOAP_ENV__Fault

Definition at line 290 of file addressStub.h.

## Friends And Related Function Documentation

SOAP_FMAC1 SOAP_ENV__Fault* SOAP_FMAC2 address_instantiate_SOAP_ENV__Fault | ( | struct soap * | ,
|  | int | ,
|  | const char * | ,
|  | const char * | ,
|  | size_t * |
| ) |  |
| friend

Friend allocator used by soap_new_SOAP_ENV__Fault(struct soap*, int)

SOAP_FMAC1 SOAP_ENV__Fault* SOAP_FMAC2 graph_instantiate_SOAP_ENV__Fault | ( | struct soap * | ,
|  | int | ,
|  | const char * | ,
|  | const char * | ,
|  | size_t * |
| ) |  |
| friend

Friend allocator used by soap_new_SOAP_ENV__Fault(struct soap*, int)

## Member Data Documentation

struct SOAP_ENV__Detail * SOAP_ENV__Fault::detail

Optional element 'detail' of XSD type 'SOAP-ENV:Detail'

Definition at line 277 of file addressStub.h.

char * SOAP_ENV__Fault::faultactor

Optional element 'faultactor' of XSD type 'xsd:string'

Definition at line 275 of file addressStub.h.

char * SOAP_ENV__Fault::faultcode

Optional element 'faultcode' of XSD type 'xsd:QName'

Definition at line 271 of file addressStub.h.

char * SOAP_ENV__Fault::faultstring

Optional element 'faultstring' of XSD type 'xsd:string'

Definition at line 273 of file addressStub.h.

struct SOAP_ENV__Code * SOAP_ENV__Fault::SOAP_ENV__Code

Optional element 'SOAP-ENV:Code' of XSD type 'SOAP-ENV:Code'

Definition at line 279 of file addressStub.h.

struct SOAP_ENV__Detail * SOAP_ENV__Fault::SOAP_ENV__Detail

Optional element 'SOAP-ENV:Detail' of XSD type 'SOAP-ENV:Detail'

Definition at line 287 of file addressStub.h.

char * SOAP_ENV__Fault::SOAP_ENV__Node

Optional element 'SOAP-ENV:Node' of XSD type 'xsd:string'

Definition at line 283 of file addressStub.h.

struct SOAP_ENV__Reason * SOAP_ENV__Fault::SOAP_ENV__Reason

Optional element 'SOAP-ENV:Reason' of XSD type 'SOAP-ENV:Reason'

Definition at line 281 of file addressStub.h.

char * SOAP_ENV__Fault::SOAP_ENV__Role

Optional element 'SOAP-ENV:Role' of XSD type 'xsd:string'

Definition at line 285 of file addressStub.h.

The documentation for this struct was generated from the following files:

- addressStub.h
- graphStub.h